$green: #297045;

$light-green: #297045c2;
$font-white: whitesmoke;
$white: #FFFFFF;

$main-title-size: 80px;
$white-blue: #ccd6f6;
$grey: #20252b;
$blue: #64ffda;
$dark-blue: darken($blue, 30);
$light-grey: #a3c2d615;


@font-face {
    font-family: 'Sombra';
    src: url(./../fonts/FontsFree-Net-Sombra-Black.ttf);
}

body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    font-family: Sombra;
    width: 100vw;
    scroll-behavior: smooth;
    background: $grey;
    margin-bottom: 100px;
    overflow-x: hidden;
}

/* header */

header {

    width: 90vw;
    justify-content: space-between;
    margin-top: 30px;

    #header-title {
        height: 170px;
        width: 550px;
        border-radius: 10px;
        color: $white-blue;
        font-size: 5rem;

        p {
            margin: 0;
        }

        p:last-child {
            font-size: 3rem;
            display: flex;
            color: $blue;
            padding-left: 4px;
            &:after {
                content: " ";
                border-bottom: 2px solid $white-blue;
                margin: auto 5%;
                flex: 1 1;
            }
        }
    }
    
    #header-buttons {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        
        .header-button {
            display: flex;
            justify-content: center;
            align-items: center;
            width: 80px;
            height: 80px;
            background: white;
            border-radius: 10px;
            background: #e0e0e0;
            align-items: space-between;
            
            &:hover {
                -webkit-box-shadow: inset 0px 0px 10px #aaaaaa;
                -moz-box-shadow: inset 0px 0px 10px #aaaaaa;
                box-shadow: inset 0px 0px 10px #aaaaaa;
            }
            
            img {
                width: 50px;
                transition: 200ms;
                &:hover {
                    width: 57px;
                }
            }
        }
    }
}

#main-title {
    display: flex;
    justify-content:center;
    font-size: $main-title-size;
    color: $blue;
    border-bottom: 2px solid white;
    margin-top: $main-title-size;
    height: $main-title-size + 30px;
    width: 600px;
}


.flex {
    display: flex;
}

/******************************************************/

#projets {
    width: 40%;
    /*background: red;*/
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;

    .projet-card {
        margin-top: 50px;
        width: 350px;
        height: 340px;
        border-radius: 10px;
        display: flex;
        flex-direction: column;
        align-items: center;
        perspective: 1px;
        overflow: hidden;
        color: white;

    
            .projet-image {
                width: 100%;
                height: 65%;
                overflow: hidden;

                a {
                    img {
                        width: 100%;
                        height: 100%;
                        display: flex;
                        justify-content:center;
                        align-items: center;
                        background: $white-blue;
                        transition: 200ms;
                        filter: grayscale(.4);

                        &:hover {
                            transform: scale(1.15);
                            filter: grayscale(0)
                        }
                    }
                }
            }

            .projet-infos {
                width: 100%;
                height: 35%;
                display: flex;
                flex-direction: column;
                justify-content: center;
                gap: 20px;
                align-items: center;
                color: $white;
                text-align: center;
                background: $light-grey;

                a:first-child {
                    text-transform: uppercase;
                    font-size: 22px;
                    p{
                       color: $white-blue; 
                    }
                    
                }

                a {
                    text-decoration: none;
                    p {
                        text-align: center;
                        color: white;
                        margin: 0;
                    }
                }
            }
    }
}

#dit-button  {
    position: absolute;
    top: -20px;
}